package packg;
import java.util.Stack;
import javax.ejb.Stateful;
import javax.ejb.Remote;

@Stateful
@Remote(StatefulEjb.class)
public class StatefulEjbBean implements StatefulEjb {
	private Stack<String> stack;
	
	public StatefulEjbBean(){
		stack = new Stack<String>();
	}
	
	@Override
	public void put(String value) {
		stack.push(value);
	}

	@Override
	public String pop() {
		return stack.pop();
	}
}
